Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 25 Jul 2021 06:21:56 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear SPLASH COMPANY

my order on july 15 is still missing. I paid for my order online using knet
This is my reference number 119934004547
Payment id number103202119958652693
Date2021/07//18

Thank you for your order. Order 8278943611 for Lee Cooper Solid T-shirt with ... +8more items for KWD 24.35 is confirmed. Expect delivery by 20-07-2021.

I have already provided the details of my order

The delivery man called me on July 20, he said he wouldn't deliver on July 20, tomorrow, so my answer is ok, there's no problem, he knows I live in Sabah, Alsalem 

this is the delivery number I talked to 97213897

I am not receiving anything or even my housemates as well as my neighbors are not receiving my order please take action on my complaint

Please, 21.25 kd is a big amount to me. I worked hard for that money. It will hurt me if you can't return it. Do I still have to go to your office and complain to you? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2899759